﻿
namespace DbExample.Web.Services
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Data;
    using System.Linq;
    using System.ServiceModel.DomainServices.EntityFramework;
    using System.ServiceModel.DomainServices.Hosting;
    using System.ServiceModel.DomainServices.Server;
    using DbExample.Web.Models;


    // Implements application logic using the documentsEntities context.
    // TODO: Add your application logic to these methods or in additional methods.
    // TODO: Wire up authentication (Windows/ASP.NET Forms) and uncomment the following to disable anonymous access
    // Also consider adding roles to restrict access as appropriate.
    // [RequiresAuthentication]
    [EnableClientAccess()]
    public class DocumentsDomainService : LinqToEntitiesDomainService<documentsEntities1>
    {

        // TODO:
        // Consider constraining the results of your query method.  If you need additional input you can
        // add parameters to this method or create additional query methods with different names.
        // To support paging you will need to add ordering to the 'Documents' query.
        public IQueryable<Document> GetDocuments()
        {
            return this.ObjectContext.Documents;
        }

        public void InsertDocument(Document document)
        {
            if ((document.EntityState != EntityState.Detached))
            {
                this.ObjectContext.ObjectStateManager.ChangeObjectState(document, EntityState.Added);
            }
            else
            {
                this.ObjectContext.Documents.AddObject(document);
            }
        }

        public void UpdateDocument(Document currentDocument)
        {
            this.ObjectContext.Documents.AttachAsModified(currentDocument, this.ChangeSet.GetOriginal(currentDocument));
        }

        public void DeleteDocument(Document document)
        {
            if ((document.EntityState == EntityState.Detached))
            {
                this.ObjectContext.Documents.Attach(document);
            }
            this.ObjectContext.Documents.DeleteObject(document);
        }
    }
}


